# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
mutation occ_doGiveConsent_mutation($baseSiteId: String!, $consentTemplateId: String!, $consentTemplateVersion: Int!, $userId: String!) {
  occ_doGiveConsent(
    baseSiteId: $baseSiteId
    consentTemplateId: $consentTemplateId
    consentTemplateVersion: $consentTemplateVersion
    userId: $userId
  ) {
    ... on occ_ConsentTemplate {
      currentConsent {
        code
        consentGivenDate
        consentWithdrawnDate
      }
      description
      id
      name
      version
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}